diff --git a/contrib/scripts/live_ast b/contrib/scripts/live_ast
index c5195c3..d562bfe 100755
--- a/contrib/scripts/live_ast
+++ b/contrib/scripts/live_ast
@@ -113,12 +113,15 @@
 BASE_DIR="$PWD/live"
 AST_CONF_DIR="$BASE_DIR/etc/asterisk"
 AST_CONF="$AST_CONF_DIR/asterisk.conf"
-AST_BIN="$BASE_DIR/usr/sbin/asterisk"
 GDB_INIT="$BASE_DIR/gdbinit"
 LIVE_CONF="$BASE_DIR/live.conf"
 DISABLED_MODS="chan_h323 pbx_dundi"
 DISABLED_MODS_FILE="modules-disabled.conf"
 
+ASTSBINDIR=`(echo include makeopts; printf 'all:\n\techo ASTSBINDIR=$(ASTSBINDIR)') | make -f -`
+LIVE_AST_SBINDIR="$BASE_DIR$ASTSBINDIR"
+AST_BIN="$LIVE_AST_SBINDIR/asterisk"
+
 if [ -r "$LIVE_CONF" ]; then . "$LIVE_CONF"; fi
 
 if [ "$LIVE_AST_LIBPRI_PATH" != '' ]; then
@@ -156,6 +159,8 @@ fi
 LIVE_AST_LD_PATH_EXTRA=`echo $LIVE_AST_LD_PATH_EXTRA | tr ' ' :`
 
 set_ld_env() {
+  PATH="LIVE_AST_SBINDIR:$PATH"
+  export PATH
   if [ "$LIVE_AST_LD_PATH_EXTRA$LD_LIBRARY_PATH" = '' ]; then return; fi
 
   LD_LIBRARY_PATH=`echo $LIVE_AST_LD_PATH_EXTRA $LD_LIBRARY_PATH | tr ' ' :`
